/notification/:id

Update the specified notification email

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Update the specified notification email

PUT /api/v2/notification/12345.json HTTP/1.1
Host: www.formstack.com
Authorization: Bearer [[app:oauth_token]]
Accept: application/json
Content-Type: application/json

from_type=field&from_value=12345&recipients=user%40example.com&subject=Example&type=link
curl -X PUT -i -H "Accept: application/json" -H "Content-Type: application/json" -H "Authorization: Bearer [[app:oauth_token]]" -d "from_type=field&from_value=12345&recipients=user%40example.com&subject=Example&type=link" https://www.formstack.com/api/v2/notification/12345.json

Field Logic

See Field Logic for more information about the logic property.

Path Params
int32
required

Notification ID

Body Params
string

Name of the notification email

string
required

The type of from address (noreply, custom, field)

string
required

Custom email address or field id

string
required

Email address to send notification to (split with return character "\n")

string
required

The subject of the email

string
required

What is included in the message (data, link, or fields)

boolean
Defaults to false

Flag to not include empty fields in the email

boolean
Defaults to false

Flag to show section headings in email

string

The email message (if type = fields)

int32

Only attach files if under this limit (in KBytes)

string

Whether the Notification Email should be Rich HTML or Plain Text (html, plain)

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json